Subject: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Óscar Fuentes <[email-masked]>
Date: Sun, 27 Mar 2016 16:59:03 +0200

Andreas Schwab <[email-masked]> writes:

>> Emacs thinks that the buffer is modified when actually it isn't,
>
> Emacs correctly tells you that the buffer has been modified.  That the
> buffer's contents now match the file's contents is irrelevant.

It is very relevant for me and, judging by the comments of others on
this and bug report and its duplicates, it is relevant for them too.

The tools must be adapted to the mental model of their users.